
# ~/.bash_common.sh
# Both ~/.bashrc and ~/.bash_profile will source this

#echo "~/.bash_common.sh"

# {{{ Loading help

HOME_BASH_COMMON=1
export HOME_BASH_COMMON

if [ -n "$HOME_SHINIT" ]
then
    if [ "$HOME_SHINIT" -gt 0 ]
    then
        :
        #echo PAH ~/.shinit.sh
    fi
else
    #echo SUCK ~/.shinit.sh
    . "${HOME}/.shinit.sh"
    HOME_SHINIT="1"
    export HOME_SHINIT
fi

#echo SUCK ~/.shinit.sh
#HOME_SHINIT="1"
#export HOME_SHINIT
#. "${HOME}/.shinit.sh"

# }}}
# {{{ Finlandization or Finlanndisierung

# If localizations disturbs your shell-scripts, add some unset-commands there.

# I am am Finn. I live in Finland. I speak Finnish. Perkele!
# P.S: We use euro currency

# http://en.wikipedia.org/wiki/Finland
# http://www.odci.gov/cia/publications/factbook/geos/fi.html
# http://www.funet.fi/resources/clickable-Suomi.html
# http://dmoz.org/Regional/Europe/Finland/
# http://www.helsinki.fi/~eisaksso/tarja.html
# http://www.godhatesfags.com/finland.html
# http://www.godhatesfags.com/finland.gif

unset LC_ALL 2> /dev/null

#case `uname -s` in
#    *SunOS*)
#    export LANG="fi_FI.ISO8859-15@euro"
#    export LC_CTYPE="fi_FI.ISO8859-15@euro"
#    export LC_NUMERIC="fi_FI.ISO8859-15@euro"
#    export LC_TIME="fi_FI.ISO8859-15@euro"
#    export LC_COLLATE="fi_FI.ISO8859-15@euro"
#    export LC_MONETARY="fi_FI.ISO8859-15@euro"
#    export LC_MESSAGES="fi_FI.ISO8859-15@euro"
#    #export LC_ALL="fi_FI.ISO8859-15@euro"
#
#    ;;
#
#    *)
#    export LANG="fi_FI@euro"
#    export LC_ADDRESS="fi_FI@euro"
#    export LC_COLLATE="fi_FI@euro"
#    export LC_CTYPE="fi_FI@euro"
#    export LC_IDENTIFICATION="fi_FI@euro"
#    export LC_MEASUREMENT="fi_FI@euro"
#    export LC_MESSAGES="fi_FI@euro"
#    export LC_MONETARY="fi_FI@euro"
#    export LC_NAME="fi_FI@euro"
#    export LC_NUMERIC="fi_FI@euro"
#    export LC_PAPER="fi_FI@euro"
#    export LC_TELEPHONE="fi_FI@euro"
#    export LC_TIME="fi_FI@euro"
#    #export LC_ALL="fi_FI@euro"
#esac

# From Debian:
if locale -a | egrep '^fi_FI.utf8$' > /dev/null 2>&1
then
    export LANG="fi_FI.utf8"
    export LC_ADDRESS="fi_FI.utf8"
    export LC_COLLATE="fi_FI.utf8"
    export LC_CTYPE="fi_FI.utf8"
    export LC_IDENTIFICATION="fi_FI.utf8"
    export LC_MEASUREMENT="fi_FI.utf8"
    export LC_MESSAGES="fi_FI.utf8"
    export LC_MONETARY="fi_FI.utf8"
    export LC_NAME="fi_FI.utf8"
    export LC_NUMERIC="fi_FI.utf8"
    export LC_PAPER="fi_FI.utf8"
    export LC_TELEPHONE="fi_FI.utf8"
    export LC_TIME="fi_FI.utf8"
    #export LC_ALL="fi_FI.utf8"

elif locale -a | egrep '^fi_FI.utf8@euro$' > /dev/null 2>&1
then
    export LANG="fi_FI.utf8@euro"
    export LC_ADDRESS="fi_FI.utf8@euro"
    export LC_COLLATE="fi_FI.utf8@euro"
    export LC_CTYPE="fi_FI.utf8@euro"
    export LC_IDENTIFICATION="fi_FI.utf8@euro"
    export LC_MEASUREMENT="fi_FI.utf8@euro"
    export LC_MESSAGES="fi_FI.utf8@euro"
    export LC_MONETARY="fi_FI.utf8@euro"
    export LC_NAME="fi_FI.utf8@euro"
    export LC_NUMERIC="fi_FI.utf8@euro"
    export LC_PAPER="fi_FI.utf8@euro"
    export LC_TELEPHONE="fi_FI.utf8@euro"
    export LC_TIME="fi_FI.utf8@euro"
    #export LC_ALL="fi_FI.utf8@euro"

    # From Sun Solaris
elif locale -a | egrep '^fi_FI.UTF-8$' > /dev/null 2>&1
then
    export LANG="fi_FI.UTF-8"
    export LC_ADDRESS="fi_FI.UTF-8"
    export LC_COLLATE="fi_FI.UTF-8"
    export LC_CTYPE="fi_FI.UTF-8"
    export LC_IDENTIFICATION="fi_FI.UTF-8"
    export LC_MEASUREMENT="fi_FI.UTF-8"
    export LC_MESSAGES="fi_FI.UTF-8"
    export LC_MONETARY="fi_FI.UTF-8"
    export LC_NAME="fi_FI.UTF-8"
    export LC_NUMERIC="fi_FI.UTF-8"
    export LC_PAPER="fi_FI.UTF-8"
    export LC_TELEPHONE="fi_FI.UTF-8"
    export LC_TIME="fi_FI.UTF-8"
    #export LC_ALL="fi_FI.UTF-8"

    # No Finnish Unicode-locale found! Let's try some Finnish ISO-8859-15 -locale:
    # From Debian:
elif locale -a | egrep '^fi_FI.iso885915@euro$' > /dev/null 2>&1
then
    export LANG="fi_FI.iso885915@euro"
    export LC_ADDRESS="fi_FI.iso885915@euro"
    export LC_COLLATE="fi_FI.iso885915@euro"
    export LC_CTYPE="fi_FI.iso885915@euro"
    export LC_IDENTIFICATION="fi_FI.iso885915@euro"
    export LC_MEASUREMENT="fi_FI.iso885915@euro"
    export LC_MESSAGES="fi_FI.iso885915@euro"
    export LC_MONETARY="fi_FI.iso885915@euro"
    export LC_NAME="fi_FI.iso885915@euro"
    export LC_NUMERIC="fi_FI.iso885915@euro"
    export LC_PAPER="fi_FI.iso885915@euro"
    export LC_TELEPHONE="fi_FI.iso885915@euro"
    export LC_TIME="fi_FI.iso885915@euro"
    #export LC_ALL="fi_FI.iso885915@euro"

elif locale -a | egrep '^fi_FI@euro$' > /dev/null 2>&1
then
    export LANG="fi_FI@euro"
    export LC_ADDRESS="fi_FI@euro"
    export LC_COLLATE="fi_FI@euro"
    export LC_CTYPE="fi_FI@euro"
    export LC_IDENTIFICATION="fi_FI@euro"
    export LC_MEASUREMENT="fi_FI@euro"
    export LC_MESSAGES="fi_FI@euro"
    export LC_MONETARY="fi_FI@euro"
    export LC_NAME="fi_FI@euro"
    export LC_NUMERIC="fi_FI@euro"
    export LC_PAPER="fi_FI@euro"
    export LC_TELEPHONE="fi_FI@euro"
    export LC_TIME="fi_FI@euro"
    #export LC_ALL="fi_FI@euro"

    # From Sun Solaris:
elif locale -a | egrep '^fi_FI.ISO8859-15@euro$' > /dev/null 2>&1
then
    export LANG="fi_FI.ISO8859-15@euro"
    export LC_ADDRESS="fi_FI.ISO8859-15@euro"
    export LC_COLLATE="fi_FI.ISO8859-15@euro"
    export LC_CTYPE="fi_FI.ISO8859-15@euro"
    export LC_IDENTIFICATION="fi_FI.ISO8859-15@euro"
    export LC_MEASUREMENT="fi_FI.ISO8859-15@euro"
    export LC_MESSAGES="fi_FI.ISO8859-15@euro"
    export LC_MONETARY="fi_FI.ISO8859-15@euro"
    export LC_NAME="fi_FI.ISO8859-15@euro"
    export LC_NUMERIC="fi_FI.ISO8859-15@euro"
    export LC_PAPER="fi_FI.ISO8859-15@euro"
    export LC_TELEPHONE="fi_FI.ISO8859-15@euro"
    export LC_TIME="fi_FI.ISO8859-15@euro"
    #export LC_ALL="fi_FI.ISO8859-15@euro"

elif locale -a | egrep '^fi_FI.ISO8859-15$' > /dev/null 2>&1
then
    export LANG="fi_FI.ISO8859-15"
    export LC_ADDRESS="fi_FI.ISO8859-15"
    export LC_COLLATE="fi_FI.ISO8859-15"
    export LC_CTYPE="fi_FI.ISO8859-15"
    export LC_IDENTIFICATION="fi_FI.ISO8859-15"
    export LC_MEASUREMENT="fi_FI.ISO8859-15"
    export LC_MESSAGES="fi_FI.ISO8859-15"
    export LC_MONETARY="fi_FI.ISO8859-15"
    export LC_NAME="fi_FI.ISO8859-15"
    export LC_NUMERIC="fi_FI.ISO8859-15"
    export LC_PAPER="fi_FI.ISO8859-15"
    export LC_TELEPHONE="fi_FI.ISO8859-15"
    export LC_TIME="fi_FI.ISO8859-15"
    #export LC_ALL="fi_FI.ISO8859-15"

elif locale -a | egrep '^fi.ISO8859-15$' > /dev/null 2>&1
then
    export LANG="fi.ISO8859-15"
    export LC_ADDRESS="fi.ISO8859-15"
    export LC_COLLATE="fi.ISO8859-15"
    export LC_CTYPE="fi.ISO8859-15"
    export LC_IDENTIFICATION="fi.ISO8859-15"
    export LC_MEASUREMENT="fi.ISO8859-15"
    export LC_MESSAGES="fi.ISO8859-15"
    export LC_MONETARY="fi.ISO8859-15"
    export LC_NAME="fi.ISO8859-15"
    export LC_NUMERIC="fi.ISO8859-15"
    export LC_PAPER="fi.ISO8859-15"
    export LC_TELEPHONE="fi.ISO8859-15"
    export LC_TIME="fi.ISO8859-15"
    #export LC_ALL="fi.ISO8859-15"

    # Let's try some Finnish ISO-8859-1 locales:
    # From Debian:
elif locale -a | egrep '^fi_FI.iso88591$' > /dev/null 2>&1
then
    export LANG="fi_FI.iso88591"
    export LC_ADDRESS="fi_FI.iso88591"
    export LC_COLLATE="fi_FI.iso88591"
    export LC_CTYPE="fi_FI.iso88591"
    export LC_IDENTIFICATION="fi_FI.iso88591"
    export LC_MEASUREMENT="fi_FI.iso88591"
    export LC_MESSAGES="fi_FI.iso88591"
    export LC_MONETARY="fi_FI.iso88591"
    export LC_NAME="fi_FI.iso88591"
    export LC_NUMERIC="fi_FI.iso88591"
    export LC_PAPER="fi_FI.iso88591"
    export LC_TELEPHONE="fi_FI.iso88591"
    export LC_TIME="fi_FI.iso88591"
    #export LC_ALL="fi_FI.iso88591"

    # From Sun Solaris:
elif locale -a | egrep '^fi_FI.ISO8859-1$' > /dev/null 2>&1
then
    export LANG="fi_FI.ISO8859-1"
    export LC_ADDRESS="fi_FI.ISO8859-1"
    export LC_COLLATE="fi_FI.ISO8859-1"
    export LC_CTYPE="fi_FI.ISO8859-1"
    export LC_IDENTIFICATION="fi_FI.ISO8859-1"
    export LC_MEASUREMENT="fi_FI.ISO8859-1"
    export LC_MESSAGES="fi_FI.ISO8859-1"
    export LC_MONETARY="fi_FI.ISO8859-1"
    export LC_NAME="fi_FI.ISO8859-1"
    export LC_NUMERIC="fi_FI.ISO8859-1"
    export LC_PAPER="fi_FI.ISO8859-1"
    export LC_TELEPHONE="fi_FI.ISO8859-1"
    export LC_TIME="fi_FI.ISO8859-1"
    #export LC_ALL="fi_FI.ISO8859-1"

    # Let's try at least some kind of Finnish:
    # From Debian and Sun Solaris:
elif locale -a | egrep '^fi_FI$' > /dev/null 2>&1
then
    export LANG="fi_FI"
    export LC_ADDRESS="fi_FI"
    export LC_COLLATE="fi_FI"
    export LC_CTYPE="fi_FI"
    export LC_IDENTIFICATION="fi_FI"
    export LC_MEASUREMENT="fi_FI"
    export LC_MESSAGES="fi_FI"
    export LC_MONETARY="fi_FI"
    export LC_NAME="fi_FI"
    export LC_NUMERIC="fi_FI"
    export LC_PAPER="fi_FI"
    export LC_TELEPHONE="fi_FI"
    export LC_TIME="fi_FI"
    #export LC_ALL="fi_FI"

    # From Debian
elif locale -a | egrep '^finnish$' > /dev/null 2>&1
then
    export LANG="finnish"
    export LC_ADDRESS="finnish"
    export LC_COLLATE="finnish"
    export LC_CTYPE="finnish"
    export LC_IDENTIFICATION="finnish"
    export LC_MEASUREMENT="finnish"
    export LC_MESSAGES="finnish"
    export LC_MONETARY="finnish"
    export LC_NAME="finnish"
    export LC_NUMERIC="finnish"
    export LC_PAPER="finnish"
    export LC_TELEPHONE="finnish"
    export LC_TIME="finnish"
    #export LC_ALL="finnish"

    # From Sun Solaris
elif locale -a | egrep '^fi$' > /dev/null 2>&1
then
    export LANG="fi"
    export LC_ADDRESS="fi"
    export LC_COLLATE="fi"
    export LC_CTYPE="fi"
    export LC_IDENTIFICATION="fi"
    export LC_MEASUREMENT="fi"
    export LC_MESSAGES="fi"
    export LC_MONETARY="fi"
    export LC_NAME="fi"
    export LC_NUMERIC="fi"
    export LC_PAPER="fi"
    export LC_TELEPHONE="fi"
    export LC_TIME="fi"
    #export LC_ALL="fi"

    # This Unix must be from stone age! Let's try POSIX and C
    # From Debian and Sun Solaris
elif locale -a | egrep '^POSIX$' > /dev/null 2>&1
then
    export LANG="POSIX"
    export LC_ADDRESS="POSIX"
    export LC_COLLATE="POSIX"
    export LC_CTYPE="POSIX"
    export LC_IDENTIFICATION="POSIX"
    export LC_MEASUREMENT="POSIX"
    export LC_MESSAGES="POSIX"
    export LC_MONETARY="POSIX"
    export LC_NAME="POSIX"
    export LC_NUMERIC="POSIX"
    export LC_PAPER="POSIX"
    export LC_TELEPHONE="POSIX"
    export LC_TIME="POSIX"
    #export LC_ALL="POSIX"

elif locale -a | egrep '^C$' > /dev/null 2>&1
then
    export LANG="C"
    export LC_ADDRESS="C"
    export LC_COLLATE="C"
    export LC_CTYPE="C"
    export LC_IDENTIFICATION="C"
    export LC_MEASUREMENT="C"
    export LC_MESSAGES="C"
    export LC_MONETARY="C"
    export LC_NAME="C"
    export LC_NUMERIC="C"
    export LC_PAPER="C"
    export LC_TELEPHONE="C"
    export LC_TIME="C"
    #export LC_ALL="C"

    # From Sun Solaris
elif locale -a | egrep '^common$' > /dev/null 2>&1
then
    export LANG="common"
    export LC_ADDRESS="common"
    export LC_COLLATE="common"
    export LC_CTYPE="common"
    export LC_IDENTIFICATION="common"
    export LC_MEASUREMENT="common"
    export LC_MESSAGES="common"
    export LC_MONETARY="common"
    export LC_NAME="common"
    export LC_NUMERIC="common"
    export LC_PAPER="common"
    export LC_TELEPHONE="common"
    export LC_TIME="common"
    #export LC_ALL="common"


fi

# For ispell

DICTIONARY="finnish.large"
export DICTIONARY

# }}}
# {{{ Path manipulation and locales for root
pathmunge ()
    {
        if ! echo $PATH | /bin/egrep "(^|:)$1($|:)" > /dev/null 2>&1
        then
            if [ "$2" = "after" ] ; then
                PATH=$PATH:$1
            else
                PATH=$1:$PATH
            fi
        fi
    }

if test -f /usr/xpg4/bin/id
then
    ID_BIN="/usr/xpg4/bin/id"
else
    ID_BIN="id"
fi

if [ `$ID_BIN -u` = 0 ]
then

    # Path manipulation

    pathmunge /sbin
    pathmunge /usr/sbin
    pathmunge /usr/local/sbin

    unset LC_ALL
    unset LANG

    # Root wants to speak English:
    if locale > /dev/null 2>&1
    then
        # From Debian:
        if locale -a | egrep '^en_GB.utf8$' > /dev/null 2>&1
        then
            export LANG="en_GB.utf8"
            export LC_ADDRESS="en_GB.utf8"
            export LC_COLLATE="en_GB.utf8"
            export LC_CTYPE="en_GB.utf8"
            export LC_IDENTIFICATION="en_GB.utf8"
            export LC_MEASUREMENT="en_GB.utf8"
            export LC_MESSAGES="en_GB.utf8"
            export LC_MONETARY="en_GB.utf8"
            export LC_NAME="en_GB.utf8"
            export LC_NUMERIC="en_GB.utf8"
            export LC_PAPER="en_GB.utf8"
            export LC_TELEPHONE="en_GB.utf8"
            export LC_TIME="en_GB.utf8"
            export LC_ALL="en_GB.utf8"

        elif locale -a | egrep '^en_US.utf8$' > /dev/null 2>&1
        then
            export LANG="en_US.utf8"
            export LC_ADDRESS="en_US.utf8"
            export LC_COLLATE="en_US.utf8"
            export LC_CTYPE="en_US.utf8"
            export LC_IDENTIFICATION="en_US.utf8"
            export LC_MEASUREMENT="en_US.utf8"
            export LC_MESSAGES="en_US.utf8"
            export LC_MONETARY="en_US.utf8"
            export LC_NAME="en_US.utf8"
            export LC_NUMERIC="en_US.utf8"
            export LC_PAPER="en_US.utf8"
            export LC_TELEPHONE="en_US.utf8"
            export LC_TIME="en_US.utf8"
            export LC_ALL="en_US.utf8"

            #From Sun Solaris:
        elif locale -a | egrep '^en_US.UTF-8$' > /dev/null 2>&1
        then
            export LANG="en_US.UTF-8"
            export LC_ADDRESS="en_US.UTF-8"
            export LC_COLLATE="en_US.UTF-8"
            export LC_CTYPE="en_US.UTF-8"
            export LC_IDENTIFICATION="en_US.UTF-8"
            export LC_MEASUREMENT="en_US.UTF-8"
            export LC_MESSAGES="en_US.UTF-8"
            export LC_MONETARY="en_US.UTF-8"
            export LC_NAME="en_US.UTF-8"
            export LC_NUMERIC="en_US.UTF-8"
            export LC_PAPER="en_US.UTF-8"
            export LC_TELEPHONE="en_US.UTF-8"
            export LC_TIME="en_US.UTF-8"
            export LC_ALL="en_US.UTF-8"

        elif locale -a | egrep '^en_GB.ISO8859-15@euro$' > /dev/null 2>&1
        then
            export LANG="en_GB.ISO8859-15@euro"
            export LC_ADDRESS="en_GB.ISO8859-15@euro"
            export LC_COLLATE="en_GB.ISO8859-15@euro"
            export LC_CTYPE="en_GB.ISO8859-15@euro"
            export LC_IDENTIFICATION="en_GB.ISO8859-15@euro"
            export LC_MEASUREMENT="en_GB.ISO8859-15@euro"
            export LC_MESSAGES="en_GB.ISO8859-15@euro"
            export LC_MONETARY="en_GB.ISO8859-15@euro"
            export LC_NAME="en_GB.ISO8859-15@euro"
            export LC_NUMERIC="en_GB.ISO8859-15@euro"
            export LC_PAPER="en_GB.ISO8859-15@euro"
            export LC_TELEPHONE="en_GB.ISO8859-15@euro"
            export LC_TIME="en_GB.ISO8859-15@euro"
            export LC_ALL="en_GB.ISO8859-15@euro"


        elif locale -a | egrep '^en_US.ISO8859-15@euro$' > /dev/null 2>&1
        then
            export LANG="en_US.ISO8859-15@euro"
            export LC_ADDRESS="en_US.ISO8859-15@euro"
            export LC_COLLATE="en_US.ISO8859-15@euro"
            export LC_CTYPE="en_US.ISO8859-15@euro"
            export LC_IDENTIFICATION="en_US.ISO8859-15@euro"
            export LC_MEASUREMENT="en_US.ISO8859-15@euro"
            export LC_MESSAGES="en_US.ISO8859-15@euro"
            export LC_MONETARY="en_US.ISO8859-15@euro"
            export LC_NAME="en_US.ISO8859-15@euro"
            export LC_NUMERIC="en_US.ISO8859-15@euro"
            export LC_PAPER="en_US.ISO8859-15@euro"
            export LC_TELEPHONE="en_US.ISO8859-15@euro"
            export LC_TIME="en_US.ISO8859-15@euro"
            export LC_ALL="en_US.ISO8859-15@euro"

        elif locale -a | egrep '^en_GB.ISO8859-15$' > /dev/null 2>&1
        then
            export LANG="en_GB.ISO8859-15"
            export LC_ADDRESS="en_GB.ISO8859-15"
            export LC_COLLATE="en_GB.ISO8859-15"
            export LC_CTYPE="en_GB.ISO8859-15"
            export LC_IDENTIFICATION="en_GB.ISO8859-15"
            export LC_MEASUREMENT="en_GB.ISO8859-15"
            export LC_MESSAGES="en_GB.ISO8859-15"
            export LC_MONETARY="en_GB.ISO8859-15"
            export LC_NAME="en_GB.ISO8859-15"
            export LC_NUMERIC="en_GB.ISO8859-15"
            export LC_PAPER="en_GB.ISO8859-15"
            export LC_TELEPHONE="en_GB.ISO8859-15"
            export LC_TIME="en_GB.ISO8859-15"
            export LC_ALL="en_GB.ISO8859-15"

        elif locale -a | egrep '^en_US.ISO8859-15$' > /dev/null 2>&1
        then
            export LANG="en_US.ISO8859-15"
            export LC_ADDRESS="en_US.ISO8859-15"
            export LC_COLLATE="en_US.ISO8859-15"
            export LC_CTYPE="en_US.ISO8859-15"
            export LC_IDENTIFICATION="en_US.ISO8859-15"
            export LC_MEASUREMENT="en_US.ISO8859-15"
            export LC_MESSAGES="en_US.ISO8859-15"
            export LC_MONETARY="en_US.ISO8859-15"
            export LC_NAME="en_US.ISO8859-15"
            export LC_NUMERIC="en_US.ISO8859-15"
            export LC_PAPER="en_US.ISO8859-15"
            export LC_TELEPHONE="en_US.ISO8859-15"
            export LC_TIME="en_US.ISO8859-15"
            export LC_ALL="en_US.ISO8859-15"

            # From Debian:
        elif locale -a | egrep '^en_GB.iso88591$' > /dev/null 2>&1
        then
            export LANG="en_GB.iso88591"
            export LC_ADDRESS="en_GB.iso88591"
            export LC_COLLATE="en_GB.iso88591"
            export LC_CTYPE="en_GB.iso88591"
            export LC_IDENTIFICATION="en_GB.iso88591"
            export LC_MEASUREMENT="en_GB.iso88591"
            export LC_MESSAGES="en_GB.iso88591"
            export LC_MONETARY="en_GB.iso88591"
            export LC_NAME="en_GB.iso88591"
            export LC_NUMERIC="en_GB.iso88591"
            export LC_PAPER="en_GB.iso88591"
            export LC_TELEPHONE="en_GB.iso88591"
            export LC_TIME="en_GB.iso88591"
            export LC_ALL="en_GB.iso88591"

        elif locale -a | egrep '^en_US.iso88591$' > /dev/null 2>&1
        then
            export LANG="en_US.iso88591"
            export LC_ADDRESS="en_US.iso88591"
            export LC_COLLATE="en_US.iso88591"
            export LC_CTYPE="en_US.iso88591"
            export LC_IDENTIFICATION="en_US.iso88591"
            export LC_MEASUREMENT="en_US.iso88591"
            export LC_MESSAGES="en_US.iso88591"
            export LC_MONETARY="en_US.iso88591"
            export LC_NAME="en_US.iso88591"
            export LC_NUMERIC="en_US.iso88591"
            export LC_PAPER="en_US.iso88591"
            export LC_TELEPHONE="en_US.iso88591"
            export LC_TIME="en_US.iso88591"
            export LC_ALL="en_US.iso88591"

            # From Sun Solaris
        elif locale -a | egrep '^en_GB.ISO8859-1$' > /dev/null 2>&1
        then
            export LANG="en_GB.ISO8859-1"
            export LC_ADDRESS="en_GB.ISO8859-1"
            export LC_COLLATE="en_GB.ISO8859-1"
            export LC_CTYPE="en_GB.ISO8859-1"
            export LC_IDENTIFICATION="en_GB.ISO8859-1"
            export LC_MEASUREMENT="en_GB.ISO8859-1"
            export LC_MESSAGES="en_GB.ISO8859-1"
            export LC_MONETARY="en_GB.ISO8859-1"
            export LC_NAME="en_GB.ISO8859-1"
            export LC_NUMERIC="en_GB.ISO8859-1"
            export LC_PAPER="en_GB.ISO8859-1"
            export LC_TELEPHONE="en_GB.ISO8859-1"
            export LC_TIME="en_GB.ISO8859-1"
            export LC_ALL="en_GB.ISO8859-1"

        elif locale -a | egrep '^en_US.ISO8859-1$' > /dev/null 2>&1
        then
            export LANG="en_US.ISO8859-1"
            export LC_ADDRESS="en_US.ISO8859-1"
            export LC_COLLATE="en_US.ISO8859-1"
            export LC_CTYPE="en_US.ISO8859-1"
            export LC_IDENTIFICATION="en_US.ISO8859-1"
            export LC_MEASUREMENT="en_US.ISO8859-1"
            export LC_MESSAGES="en_US.ISO8859-1"
            export LC_MONETARY="en_US.ISO8859-1"
            export LC_NAME="en_US.ISO8859-1"
            export LC_NUMERIC="en_US.ISO8859-1"
            export LC_PAPER="en_US.ISO8859-1"
            export LC_TELEPHONE="en_US.ISO8859-1"
            export LC_TIME="en_US.ISO8859-1"
            export LC_ALL="en_US.ISO8859-1"

            # From Debian and Sun Solaris
        elif locale -a | egrep '^en_GB$' > /dev/null 2>&1
        then
            export LANG="en_GB"
            export LC_ADDRESS="en_GB"
            export LC_COLLATE="en_GB"
            export LC_CTYPE="en_GB"
            export LC_IDENTIFICATION="en_GB"
            export LC_MEASUREMENT="en_GB"
            export LC_MESSAGES="en_GB"
            export LC_MONETARY="en_GB"
            export LC_NAME="en_GB"
            export LC_NUMERIC="en_GB"
            export LC_PAPER="en_GB"
            export LC_TELEPHONE="en_GB"
            export LC_TIME="en_GB"
            export LC_ALL="en_GB"

        elif locale -a | egrep '^en_US$' > /dev/null 2>&1
        then
            export LANG="en_US"
            export LC_ADDRESS="en_US"
            export LC_COLLATE="en_US"
            export LC_CTYPE="en_US"
            export LC_IDENTIFICATION="en_US"
            export LC_MEASUREMENT="en_US"
            export LC_MESSAGES="en_US"
            export LC_MONETARY="en_US"
            export LC_NAME="en_US"
            export LC_NUMERIC="en_US"
            export LC_PAPER="en_US"
            export LC_TELEPHONE="en_US"
            export LC_TIME="en_US"
            export LC_ALL="en_US"

        elif locale -a | egrep '^POSIX$' > /dev/null 2>&1
        then
            export LANG="POSIX"
            export LC_ADDRESS="POSIX"
            export LC_COLLATE="POSIX"
            export LC_CTYPE="POSIX"
            export LC_IDENTIFICATION="POSIX"
            export LC_MEASUREMENT="POSIX"
            export LC_MESSAGES="POSIX"
            export LC_MONETARY="POSIX"
            export LC_NAME="POSIX"
            export LC_NUMERIC="POSIX"
            export LC_PAPER="POSIX"
            export LC_TELEPHONE="POSIX"
            export LC_TIME="POSIX"
            export LC_ALL="POSIX"

        elif locale -a | egrep '^C$' > /dev/null 2>&1
        then
            export LANG="C"
            export LC_ADDRESS="C"
            export LC_COLLATE="C"
            export LC_CTYPE="C"
            export LC_IDENTIFICATION="C"
            export LC_MEASUREMENT="C"
            export LC_MESSAGES="C"
            export LC_MONETARY="C"
            export LC_NAME="C"
            export LC_NUMERIC="C"
            export LC_PAPER="C"
            export LC_TELEPHONE="C"
            export LC_TIME="C"
            export LC_ALL="C"

            # From Sun Solaris
        elif locale -a | egrep '^common$' > /dev/null 2>&1
        then
            export LANG="common"
            export LC_ADDRESS="common"
            export LC_COLLATE="common"
            export LC_CTYPE="common"
            export LC_IDENTIFICATION="common"
            export LC_MEASUREMENT="common"
            export LC_MESSAGES="common"
            export LC_MONETARY="common"
            export LC_NAME="common"
            export LC_NUMERIC="common"
            export LC_PAPER="common"
            export LC_TELEPHONE="common"
            export LC_TIME="common"
            export LC_ALL="common"

        fi
    else
        # locale -command not found. Let's use just POSIX.
        export LANG="POSIX"
        export LC_ADDRESS="POSIX"
        export LC_COLLATE="POSIX"
        export LC_CTYPE="POSIX"
        export LC_IDENTIFICATION="POSIX"
        export LC_MEASUREMENT="POSIX"
        export LC_MESSAGES="POSIX"
        export LC_MONETARY="POSIX"
        export LC_NAME="POSIX"
        export LC_NUMERIC="POSIX"
        export LC_PAPER="POSIX"
        export LC_TELEPHONE="POSIX"
        export LC_TIME="POSIX"
        export LC_ALL="POSIX"

    fi

    # Rewt do not use E-Mail, Usenet News or IRC.
    unset MAIL MAILCHECK MAILPATH 2> /dev/null
    unset IRCNAME IRCSERVER IRCNICK 2> /dev/null
    unset NNTPSERVER 2> /dev/null
    unset SSH_AGENT_PID SSH_AUTH_SOCK 2> /dev/null
    unset hostnames mailpath 2> /dev/null

fi


#pathmunge /usr/X11R6/bin after
pathmunge ${HOME}/scripts after
pathmunge ${HOME}/bin after
pathmunge /usr/local/scripts after
pathmunge /usr/local/bin after
pathmunge /opt/bin after

#unset pathmunge

export PATH

# }}}
# {{{ Command for interactive shells only

case $- in *i*)
    # Add here all commands, that must be run under interactive shells only
    # (both login- and non-login)
    #echo "Interactive shell!"


    # check the window size after each command and, if necessary,
    # update the values of LINES and COLUMNS.
    shopt -s checkwinsize

    # don't put duplicate lines in the history. See bash(1) for more options
    export HISTCONTROL=ignoredups

    # vi-like keybindings:
    #set -o vi

    export TTYBASE="`tty | sed 's/\/dev\///'`"

PS1='[\s] \! | $TTYBASE | \u@\h | \D{%a %d %b %Y} \D{%H:%M:%S}
$PWD
\$ '

    if test -f /usr/xpg4/bin/id
    then
        ID_BIN="/usr/xpg4/bin/id"
    else
        ID_BIN="id"
    fi

    if [ "`$ID_BIN -u`" = "0" ]
    then
        PS1="-=*[ROOT]*=- $PS1"
    fi

    export PS1

    if [ "$PS1" -a -f /etc/bash_completion ]
    then
        . /etc/bash_completion
    fi

    loadallbashrc ()
    {

        . "/etc/profile"

        . "/etc/bashrc"
        . "/etc/bash.bashrc"

        . "${HOME}/.profile"
        . "${HOME}/.shinit.sh"

        . "${HOME}/.bash_profile"
        . "${HOME}/.bashrc"
        . "${HOME}/.bash_common.sh"

    }

    # End stuff for interactive-shells only
esac

# }}}

